
const OPERATION04010_GRID_ID = '#ITP_OPERATION04010_jqGrid';
const OPERATION04010_GRID_LIST = '#ITP_OPERATION04010_jqGrid_list';
const OPERATION04010_GRID_PAGER = '#ITP_OPERATION04010_jqGridPager';
const OPERATION04010_GRID_EMPTY = '#ITP_OPERATION04010_jqGridEmpty';

let OPERATION04010_SCREEN_MODE;
let ITP_FORM_OPERATION04010_DETAIL_IS_DUPLICATE = false;
let ITP_FORM_OPERATION04010_DETAIL_IS_WRITING = false;

let MAILFORM_SAVE_MAINFORM = '/api/mailform/save-mailform';
let MAILFORM_DETAIL_GRID_LIST = '/api/mailform/detail-grid-list';
let MAILFORM_INFO_MAINFORM = '/api/mailform/info-mailForm';

var ITP_FORM_OPERATION04010_DETAIL_EDITOR_IS_CREATED = false;
var ITP_FORM_OPERATION04010_DETAIL_EDITOR = [];
var ITP_FORM_OPERATION04010_VIEW_EDITOR_IS_CREATED = false;
var ITP_FORM_OPERATION04010_VIEW_EDITOR = [];

require(['config'], function() {
	require([
		'jquery', 
		'smarteditor2', 
		'jquery.bootstrap.fileUpload' //파일 업로드가 있는 페이지에서 로딩
	], function($) {
		// 버튼 권한설정
		fn_proc_btn_auth('OPERATION04010');
		// 공통코드 표시
		fn_make_select(CODE_LIST, 'MAIL_STATUS_CD', 'ITP_FORM_OPERATION04010_MAIL_STATUS_CD', true, '사용여부 (전체)');
		fn_make_select(CODE_LIST, 'MAIL_STATUS_CD', 'ITP_FORM_OPERATION04010_DETAIL_MAIL_STATUS_CD', true, '선택');
				
		// 그리드				
		itp_fn_jqgrid_resize(OPERATION04010_GRID_ID, OPERATION04010_GRID_LIST, 'lg');
		itp_fn_OPERATION04010_grid.init();
    	itp_fn_fire_window_resize();

		// 조회    	
    	itp_fn_OPERATION04010_search();
    	
		// 조회 버튼 클릭
		$('#ITP_BTN_OPERATION04010_SRH').on('click', function() {
			itp_OPERATION04010_search = true;
			let param = $('#ITP_FORM_OPERATION04010_SEARCH').serializeObject();
			param.gridSize = $.jgrid.defaults.rowNum;
			param.gridPage = $.jgrid.defaults.page;
			$(OPERATION04010_GRID_ID).setGridParam({'postData': JSON.stringify(param)}).trigger('reloadGrid');
		});
		
		// 수정 버튼
		$('#ITP_BTN_OPERATION04010_MODIFY').on('click', function() {
			itp_fn_form_clear_validate(null, '#ITP_FORM_OPERATION04010_DETAIL');			
			const mailFormNoVal = $('#ITP_FORM_OPERATION04010_VIEW_MAIL_FORM_NO').val();
			const key = {mailFormNo: mailFormNoVal, viewCd: 'R'};
			var param = $.param(key);
			itp_fn_OPERATION04010_detail(param);	
		});
		
		// 신규등록 버튼
		$('#ITP_BTN_OPERATION04010_NEWREG').on('click', function() {
			itp_fn_OPERATION04010_switch_screen('ADD', function() {
				itp_fn_form_clear_validate(null, '#ITP_FORM_OPERATION04010_DETAIL');
			
				ITP_FORM_OPERATION04010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC"].exec("SET_IR", [""]); //내용초기화
				
				//파일업로드(등록화면)
				$('#ITP_FORM_OPERATION04010_DETAIL_FILE_NO').val('');
				$('#ITP_OPERATION04010_DETAIL_UPLOAD').empty();
				const fileArgs = {
					'fileNo': $('#ITP_FORM_OPERATION04010_DETAIL_FILE_NO').val(),
					'viewCd': $('#ITP_FORM_OPERATION04010_DETAIL_VIEW_CD').val(),
					'showYn': $('#ITP_OPERATION04010_DETAIL_UPLOAD').attr('data-show-yn'),
					'fileId': '#ITP_FORM_OPERATION04010_DETAIL_FILE_NO' //파일번호를 서버에서 받아서 넣을 파일번호 인풋박스 아이디
				};
				itp_fn_set_file_upload('ITP_OPERATION04010_DETAIL_UPLOAD', 'notice', true, false, 'OPERATION04010', fileArgs);	
			});	
		});
		
		// 취소/목록 버튼
		$('#ITP_BTN_OPERATION04010_CANCELLIST').on('click', function() {
			itp_fn_OPERATION04010_search();
    	});
		
		// 삭제 버튼
		$('#ITP_BTN_OPERATION04010_DELETE').on('click', function() {
			
		});
		
		// 저장 버튼
		$('#ITP_BTN_OPERATION04010_SAVE').on('click', function() {			
			const formId = '#ITP_FORM_OPERATION04010_DETAIL';
			itp_fn_form_clear_validate(null, formId);			
			var vali_mailFormNm = itp_fn_form_validate(formId, formId + '_MAIL_FORM_NM', ['empty'], undefined);
			var vali_mailSubject = itp_fn_form_validate(formId, formId + '_MAIL_SUBJECT', ['empty'], undefined);
			var vali_mailStatusCd = itp_fn_form_validate(formId, formId + '_MAIL_STATUS_CD', ['empty'], undefined);

			if (vali_mailFormNm && vali_mailSubject && vali_mailStatusCd) {
				// 에디터 값 처리
				ITP_FORM_OPERATION04010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC"].exec("UPDATE_CONTENTS_FIELD", []);	
				
				let param = $(formId).serializeObject();				
				var searhFn = function() {
					ITP_FORM_OPERATION04010_DETAIL_IS_WRITING = false;
					itp_fn_OPERATION04010_search();
				};
				fn_ajax_call(MAILFORM_SAVE_MAINFORM, JSON.stringify(param), searhFn, 'POST');
			}
		});		
		
		$('#ITP_BTN_OPERATION04010_PREVIEW').on('click', function() {
			var popFn = function(rowDataPop) {								
			};
			if(OPERATION04010_SCREEN_MODE == 'VIEW') { // 보기
				ITP_FORM_OPERATION04010_VIEW_EDITOR.getById["ITP_FORM_OPERATION04010_VIEW_MAIL_DESC"].exec("UPDATE_CONTENTS_FIELD", []);
				let mailDesc = $('#ITP_FORM_OPERATION04010_VIEW_MAIL_DESC').val();
				
				// 미리보기 변수값을 치환하기
				let val_count = $('#ITP_FORM_OPERATION04010_VIEW_PREVIEW_VAL_SET tr').length;
				if(val_count > 0) {
					$('#ITP_FORM_OPERATION04010_VIEW_PREVIEW_VAL_SET tr').each(function() {
						let valKey = $(this).find('.fnValKey').val();
						let valValue = $(this).find('.fnValValue').val();
						if(valValue != '') {
							mailDesc = mailDesc.replace(eval('/#{'+valKey+'}/gi'), valValue);	
						}
					});
				}	
							
				fn_call_popup('biz', 'BIZPOP_MAILFORM_PREVIEW', '#ITP_ASIDE', popFn, mailDesc, 'S');	
			} else if(OPERATION04010_SCREEN_MODE == 'MODIFY') { // 수정
				ITP_FORM_OPERATION04010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC"].exec("UPDATE_CONTENTS_FIELD", []);
				const mailDesc = $('#ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC').val();				
				fn_call_popup('biz', 'BIZPOP_MAILFORM_PREVIEW', '#ITP_ASIDE', popFn, mailDesc, 'S');
			}
			$('#ITP_BIZPOP_MAILFORM_PREVIEW > div.modal-dialog').width('800px');
		});
		
	});
});

var itp_fn_OPERATION04010_switch_screen = function(mode, fnCall) {
	OPERATION04010_SCREEN_MODE = mode;
	if(OPERATION04010_SCREEN_MODE == 'LIST') { // 목록
		$('#ITP_BTN_OPERATION04010_PREVIEW').hide();
		$('#ITP_BTN_OPERATION04010_MODIFY').hide();
		$('#ITP_BTN_OPERATION04010_CANCELLIST').hide();
		$('#ITP_BTN_OPERATION04010_DELETE').hide();
		$('#ITP_BTN_OPERATION04010_SAVE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_SRH');
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_NEWREG');
		
		$('#ITP_AJAX_OPERATION04010_LIST_CONTAINER').show();
		$('#ITP_AJAX_OPERATION04010_DETAIL_CONTAINER').hide();		
		$('#ITP_AJAX_OPERATION04010_VIEW_CONTAINER').hide();
	} else if(OPERATION04010_SCREEN_MODE == 'ADD') { // 등록
		ITP_FORM_OPERATION04010_DETAIL_IS_DUPLICATE = true;
	
		$('#ITP_BTN_OPERATION04010_SRH').hide();
		$('#ITP_BTN_OPERATION04010_PREVIEW').hide();
		$('#ITP_BTN_OPERATION04010_MODIFY').hide();
		$('#ITP_BTN_OPERATION04010_NEWREG').hide();		
		$('#ITP_BTN_OPERATION04010_DELETE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_SAVE');
		
		$('#ITP_AJAX_OPERATION04010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION04010_DETAIL_CONTAINER').show();
		$('#ITP_AJAX_OPERATION04010_VIEW_CONTAINER').hide();		
		
		$('#ITP_FORM_OPERATION04010_DETAIL_VIEW_CD').val('C');
		$('#ITP_FORM_OPERATION04010_DETAIL_MAIL_FORM_NO').val('');		
		$('#ITP_FORM_OPERATION04010_DETAIL_MAIL_FORM_NM').val('');		
		$('#ITP_FORM_OPERATION04010_DETAIL_MAIL_SUBJECT').val('');		
		$('#ITP_FORM_OPERATION04010_DETAIL_MAIL_STATUS_CD').val('');
		
		// 에디터 설정
		itp_fn_OPERATION04010_DETAIL_create_editor(fnCall);		
		
	} else if(OPERATION04010_SCREEN_MODE == 'MODIFY') { // 수정
		$('#ITP_BTN_OPERATION04010_SRH').hide();
		$('#ITP_BTN_OPERATION04010_MODIFY').hide();
		$('#ITP_BTN_OPERATION04010_NEWREG').hide();		
		$('#ITP_BTN_OPERATION04010_DELETE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_PREVIEW');
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_SAVE');
		
		$('#ITP_AJAX_OPERATION04010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION04010_DETAIL_CONTAINER').show();
		$('#ITP_AJAX_OPERATION04010_VIEW_CONTAINER').hide();
				
		// 에디터 설정
		itp_fn_OPERATION04010_DETAIL_create_editor(fnCall);		
	} else if(OPERATION04010_SCREEN_MODE == 'VIEW') { // 보기
		$('#ITP_BTN_OPERATION04010_SRH').hide();
		$('#ITP_BTN_OPERATION04010_NEWREG').hide();		
		$('#ITP_BTN_OPERATION04010_DELETE').hide();
		$('#ITP_BTN_OPERATION04010_SAVE').hide();
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_PREVIEW');
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_CANCELLIST');
		fn_show_btn_auth('#ITP_BTN_OPERATION04010_MODIFY');
		
		$('#ITP_AJAX_OPERATION04010_LIST_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION04010_DETAIL_CONTAINER').hide();
		$('#ITP_AJAX_OPERATION04010_VIEW_CONTAINER').show();
		
		// 에디터 설정
		itp_fn_OPERATION04010_VIEW_create_editor(fnCall);
	}	
};

var itp_fn_OPERATION04010_DETAIL_create_editor = function(fnCall) {	
	if(ITP_FORM_OPERATION04010_DETAIL_EDITOR_IS_CREATED == false) {
		nhn.husky.EZCreator.createInIFrame({
			oAppRef: ITP_FORM_OPERATION04010_DETAIL_EDITOR,
			elPlaceHolder: "ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC",
			sSkinURI: "se2/SmartEditor2Skin.html",	
			htParams : {
				bUseToolbar : true,				// 툴바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseVerticalResizer : true,		// 입력창 크기 조절바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseModeChanger : true,			// 모드 탭(Editor | HTML | TEXT) 사용 여부 (true:사용/ false:사용하지 않음)
				fOnBeforeUnload : function(){
					//alert("완료!");
				},
				I18N_LOCALE : "ko_KR"
			}, //boolean
			fOnAppLoad : function(){				
				$('#ITP_FORM_OPERATION04010_DETAIL iframe').width('101%');
				ITP_FORM_OPERATION04010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC"].exec("SET_IR", [""]); //내용초기화
				if(fnCall) {
					fnCall();
				}					
			},
			fCreator: "createSEditor2"
		});			
		ITP_FORM_OPERATION04010_DETAIL_EDITOR_IS_CREATED = true;
	} else {
		if(fnCall) {
			fnCall();
		}
	}
};

var itp_fn_OPERATION04010_VIEW_create_editor = function(fnCall) {	
	if(ITP_FORM_OPERATION04010_VIEW_EDITOR_IS_CREATED == false) {
		nhn.husky.EZCreator.createInIFrame({
			oAppRef: ITP_FORM_OPERATION04010_VIEW_EDITOR,
			elPlaceHolder: "ITP_FORM_OPERATION04010_VIEW_MAIL_DESC",
			sSkinURI: "se2/SmartEditor2Skin.html",	
			htParams : {
				bUseToolbar : true,				// 툴바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseVerticalResizer : true,		// 입력창 크기 조절바 사용 여부 (true:사용/ false:사용하지 않음)
				bUseModeChanger : true,			// 모드 탭(Editor | HTML | TEXT) 사용 여부 (true:사용/ false:사용하지 않음)
				fOnBeforeUnload : function(){
					//alert("완료!");
				},
				I18N_LOCALE : "ko_KR"
			}, //boolean
			fOnAppLoad : function(){				
				$('#ITP_FORM_OPERATION04010_VIEW iframe').width('101%');
				ITP_FORM_OPERATION04010_VIEW_EDITOR.getById["ITP_FORM_OPERATION04010_VIEW_MAIL_DESC"].exec("SET_IR", [""]); //내용초기화
				if(fnCall) {
					fnCall();
				}					
			},
			fCreator: "createSEditor2"
		});			
		ITP_FORM_OPERATION04010_VIEW_EDITOR_IS_CREATED = true;
	} else {
		if(fnCall) {
			fnCall();
		}
	}
};

var itp_fn_OPERATION04010_grid = {
	init: function() {
		// 데이터 없을때
		itp_fn_OPERATION04010_empty.push();
		$(OPERATION04010_GRID_EMPTY).on('click', function() {
			itp_fn_OPERATION04010_empty.back();
			itp_OPERATION04010_param.gridSize = $.jgrid.defaults.rowNum;
			$(OPERATION04010_GRID_ID).setGridParam({'postData': JSON.stringify(itp_OPERATION04010_param)}).trigger('reloadGrid');
		});	
	},
	callBack: function() {
		let param = $('#ITP_FORM_OPERATION04010_SEARCH').serializeObject();
		param.gridSize = $.jgrid.defaults.rowNum;	
		$(OPERATION04010_GRID_ID).jqGrid({
			colModel: [
				{
					index: 'MAIL_FORM_NO', name: 'mailFormNo',
					label: ITP_MSG_LOCALE.label.mailFormNo, 
					width: '8', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'MAIL_FORM_NM', name: 'mailFormNm',
					label: ITP_MSG_LOCALE.label.mailFormNm, 
					width: '15', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'MAIL_STATUS_NM', name: 'mailStatusNm',
					label: ITP_MSG_LOCALE.label.useYn, //
					width: '8', fixed: false, align: 'center',
					sortable: false, hidden: false
				},
				{
					index: 'ADD_DT', name: 'addDt',
					label: ITP_MSG_LOCALE.label.regDt, //등록일
					width: '8', fixed: false, align: 'center',
					sortable: false, hidden: false
				}
			],
			loadBeforeSend: function(jqXHR) {
			    jqXHR.setRequestHeader('X-AUTH-TOKEN', CONN_KEY);
			},
			postData: JSON.stringify(param),
			url: DOMAIN + MAILFORM_DETAIL_GRID_LIST,
			pager: OPERATION04010_GRID_PAGER,
			multiselect: false,
			rownumbers: true, 
			onCellSelect: function(rowId, cellIdx, cellValue) {
				var cm = $(this).jqGrid('getGridParam', 'colModel');
				var colNm = cm[cellIdx].name;
				if (colNm == 'mailFormNm') {
					const mailFormNoVal = $(this).jqGrid('getCell', rowId, 'mailFormNo');
					const key = {mailFormNo: mailFormNoVal, viewCd: 'R'};
					var param = $.param(key);
					itp_fn_OPERATION04010_view(param);
				}
		   	},
			loadComplete: function(data) {
				//console.log(JSON.stringify(data));
				itp_fn_grid_load_complete(data, OPERATION04010_GRID_ID, true, 'number', 'OPERATION04010', itp_OPERATION04010_search, itp_fn_OPERATION04010_empty, true, data.gridRecords, true);
				var ids = $(OPERATION04010_GRID_ID).getDataIDs();
				$.each(ids, function(idx, rowId) {
					$(OPERATION04010_GRID_ID).jqGrid('setCell', rowId, 'mailFormNm', '', ITP_GRID_COL_STYLE.link);
				});
		    },
		    loadError: function(jqXHR, textStatus, errorThrown) {
		    	itp_fn_grid_load_error(jqXHR, textStatus, errorThrown);
		    },
		    onPaging: function(action) {
		    	itp_fn_grid_paging(OPERATION04010_GRID_ID, action, param);
		    }
		}).navGrid(OPERATION04010_GRID_PAGER, ITP_GRID_NAV_DEFAULTS.navGrid);
	},
	clearData : function() {
		$(OPERATION04010_GRID_ID).jqGrid('clearGridData', true);
		$(OPERATION04010_GRID_LIST).find('.ui-jqgrid-bdiv').css('min-height', '100px');
		$(OPERATION04010_GRID_EMPTY).html(ITP_MSG_LOCALE.message.grid.noData);
		$(OPERATION04010_GRID_EMPTY).show();
	}, 
	unload : function() {
		$.jgrid.gridUnload(OPERATION04010_GRID_ID); 
	}
};

var itp_fn_OPERATION04010_search = function() {
	itp_fn_OPERATION04010_switch_screen('LIST');	
	itp_fn_OPERATION04010_grid.unload();
	itp_fn_OPERATION04010_grid.callBack();
};

let itp_OPERATION04010_param = {};
let itp_OPERATION04010_search = false;
var itp_fn_OPERATION04010_empty = {
	push: function() {
		let param = $('#ITP_FORM_OPERATION04010_SEARCH').serializeObject();
		itp_OPERATION04010_param = param;
	},
	back: function() {
		$('#ITP_FORM_OPERATION04010_DEVI_TP_CD').val(itp_OPERATION04010_param.deviTpCd);
		$('#ITP_FORM_OPERATION04010_ORDER_YN').val(itp_OPERATION04010_param.orderYn);
		$('#ITP_FORM_OPERATION04010_ADT_AUTH_CD').val(itp_OPERATION04010_param.adtAuthCd);
		$('#ITP_FORM_OPERATION04010_EMAIL_RCV_YN').val(itp_OPERATION04010_param.emailRcvYn);
		$('#ITP_FORM_OPERATION04010_SMS_RCV_YN').val(itp_OPERATION04010_param.smsRcvYn);
		$('#ITP_FORM_OPERATION04010_MEMB_EXIT_DT').val(itp_OPERATION04010_param.membExitDt);
		$('#ITP_FORM_OPERATION04010_FROM_DT').val(itp_OPERATION04010_param.fromDt);
		$('#ITP_FORM_OPERATION04010_TO_DT').val(itp_OPERATION04010_param.toDt);
		$('#ITP_FORM_OPERATION04010_KEYWORD').val(itp_OPERATION04010_param.keyword);
	}
};

var itp_fn_OPERATION04010_view = function(param) {
	fn_ajax_call(MAILFORM_INFO_MAINFORM, param, itp_fn_OPERATION04010_view_callback, 'GET');
};

var itp_fn_OPERATION04010_view_callback = function(result) {
	itp_fn_OPERATION04010_switch_screen('VIEW', function() {
		$('#ITP_FORM_OPERATION04010_VIEW #ITP_FORM_OPERATION04010_VIEW_MAIL_FORM_NO').val(result.mailFormNo);	
		$('#ITP_FORM_OPERATION04010_VIEW .fnMailFormNm').text(result.mailFormNm);	
		$('#ITP_FORM_OPERATION04010_VIEW .fnMailSubject').text(result.mailSubject);	
		$('#ITP_FORM_OPERATION04010_VIEW .fnMailStatusNm').text(result.mailStatusNm);	
		$('#ITP_FORM_OPERATION04010_VIEW_FILE_NO').val(result.fileNo); //파일번호 셋팅
		
		ITP_FORM_OPERATION04010_VIEW_EDITOR.getById["ITP_FORM_OPERATION04010_VIEW_MAIL_DESC"].exec("SET_IR", [""]); //내용초기화
		ITP_FORM_OPERATION04010_VIEW_EDITOR.getById["ITP_FORM_OPERATION04010_VIEW_MAIL_DESC"].exec("PASTE_HTML", [result.mailDesc]);
		
		if(result.mailDesc) { // 변수 찾기
			// console.log(result.mailDesc);
			$('#ITP_FORM_OPERATION04010_VIEW_PREVIEW_VAL_SET').empty(); // 초기화
		
			var re = /#{[^}]+}/g;
			var myArray = result.mailDesc.match(re);
			if(myArray && myArray.length > 0) {
				myArray.forEach(function(val) {
					let valKey = val.substring(2, val.length-1);
					let exist = false;					
					$('#ITP_FORM_OPERATION04010_VIEW_PREVIEW_VAL_SET tr').each(function() {
						if(valKey == $(this).find('.fnValKey').val()) {
							exist = true;
						}
					});
					if(exist == false) {
						$('#ITP_FORM_OPERATION04010_VIEW_PREVIEW_VAL_SET').append($('#ITP_AJAX_OPERATION04010_PREVIEW_VAL_ROWCOPY').val());
						$('#ITP_FORM_OPERATION04010_VIEW_PREVIEW_VAL_SET .fnValKey:last').val(valKey);	
					}
				});	
			}
		}	
		
		//파일업로드(뷰화면)
		$('#ITP_OPERATION04010_VIEW_UPLOAD').empty();
		const fileArgs = {
			'fileNo': $('#ITP_FORM_OPERATION04010_VIEW_FILE_NO').val(),
			'viewCd': $('#ITP_FORM_OPERATION04010_VIEW_VIEW_CD').val()
		};
		itp_fn_set_file_upload('ITP_OPERATION04010_VIEW_UPLOAD', 'notice', true, false, 'OPERATION04010', fileArgs);
	});
};

var itp_fn_OPERATION04010_detail = function(param) {
	fn_ajax_call(MAILFORM_INFO_MAINFORM, param, itp_fn_OPERATION04010_detail_callback, 'GET');
};

var itp_fn_OPERATION04010_detail_callback = function(result) {
	itp_fn_OPERATION04010_switch_screen('MODIFY', function() {		
		$('#ITP_FORM_OPERATION04010_DETAIL #ITP_FORM_OPERATION04010_DETAIL_VIEW_CD').val('U');
		$('#ITP_FORM_OPERATION04010_DETAIL #ITP_FORM_OPERATION04010_DETAIL_MAIL_FORM_NO').val(result.mailFormNo);
		$('#ITP_FORM_OPERATION04010_DETAIL #ITP_FORM_OPERATION04010_DETAIL_MAIL_FORM_NM').val(result.mailFormNm);
		$('#ITP_FORM_OPERATION04010_DETAIL #ITP_FORM_OPERATION04010_DETAIL_MAIL_SUBJECT').val(result.mailSubject);
		$('#ITP_FORM_OPERATION04010_DETAIL #ITP_FORM_OPERATION04010_DETAIL_MAIL_STATUS_CD').val(result.mailStatusCd);
		$('#ITP_FORM_OPERATION04010_DETAIL_FILE_NO').val(result.fileNo); //파일번호 셋팅
		
		ITP_FORM_OPERATION04010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC"].exec("SET_IR", [""]); //내용초기화
		ITP_FORM_OPERATION04010_DETAIL_EDITOR.getById["ITP_FORM_OPERATION04010_DETAIL_MAIL_DESC"].exec("PASTE_HTML", [result.mailDesc]);	
		
		//파일업로드(수정화면)
		$('#ITP_OPERATION04010_DETAIL_UPLOAD').empty();
		const fileArgs = {
			'fileNo': $('#ITP_FORM_OPERATION04010_DETAIL_FILE_NO').val(),
			'viewCd': $('#ITP_FORM_OPERATION04010_DETAIL_VIEW_CD').val(),
			'showYn': $('#ITP_OPERATION04010_DETAIL_UPLOAD').attr('data-show-yn'),
			'fileId': '#ITP_FORM_OPERATION04010_DETAIL_FILE_NO' //파일번호를 서버에서 받아서 넣을 파일번호 인풋박스 아이디
		};
		itp_fn_set_file_upload('ITP_OPERATION04010_DETAIL_UPLOAD', 'notice', true, false, 'OPERATION04010', fileArgs);
	});
	
};
